<?php 
session_start();
require('core/config.php');
require_once('core/database_api.php');
include_once( "core/html_api.php" );
require_once('core/authentification_api.php');
//verification de la session
$resultat=test_session("user");
html_begin( "Documentation", "" );
html_bandeau();

if (test_session("admin")<>1){
    warning_autorisation();
    html_end();
}else{
    ?>
    <center>
        <h1><a name="debut">Documentation Echanges entre GéoBASEs</a></h1>
    </center>
    <p>Cette documentation ne traite que le module de gestion des échanges entre GéoBASEs (GB_Echanges).</p>
    <hr />
    <h1>Principes de fonctionnement</h1>
    <p>Les échanges entre GéoBASEs peuvent se réaliser entre n'importe quel GéoBASEs hébergées sur une machine LINDA et gérées par le CERIT/DIG. Le principe se base sur un système de demandes et d'autorisation de téléchargement de couches entre une GéoBASE cliente et une GéoBASE serveur. Chaque serveur possède une base de données contenant deux tables : </p>
    <ul>
        <li>une table gb_import listant les couches destinées à être importées dans votre GéoBASE</li>
        <li>une table gb_export contenant la liste des serveurs autorisés à venir chercher des couches dasn votre GéoBASE</li>
    </ul>
    <p>Chaque nuit, un script va lire les demandes de couches dans la table gb_import de votre GéoBASE pour récupérer la liste des couches demandées et la liste des serveurs GéoBASEs sur lesquelles elles sont hébergées. Pour chaque couche de la liste, votre GéoBASE cliente va interroger la table gb_export de la GéoBASE serveur pour savoir si elle est autorisée à récupérer la couche demandée. Si l'administrateur de la GéoBASE serveur vous a autorisé à récupérer sa couche, votre GéoBASE téléchargera la couche et l'installera dans votre GéoBASE.</p>
    <p>Cette interface Web permet donc de définir les couches que vous désirez télécharger sur un serveur GéoBASE de votre choix et permet de définir les autorisations permettant aux autres GéoBASEs de venir télécharger des données dans votre GéoBASE.</p>
<img src="help/images/gb_echanges_mecanisme.png" width="750px" alt="Mécanismes d'échanges entre GéoBASEs" title="Mécanismes d'échanges entre GéoBASEs" />

<h1>Quelles couches sont concernées</h1>
<p>Seules les couches vecteurs de bases de CONSULTATION et de bases de RÉFÉRENCES EXTERNES peuvent être échangées sur le réseau. Les couches Raster pour des raisons de performance et d'encombrement réseau ne sont pour l'instant pas prises en compte.</p>
<p>Pour échanger des données entre GéoBASEs, l'application GB_Echanges utilisent les données du <a href="http://georepertoire.national.agri" target="_blank">GéoRépertoire</a>. Il lit les couche définies localement dans l'application. Il faut donc <b>que la description locale des couches</b> à échanger existent dans le GéoRépertoire. Pour ajouter une description locale dans le GéoRépertoire, il faut avoir les droits dans l'application puis se rendre sur l'arborescence du GéoRépertoire après avoir choisi son département ou sa région dans la liste déroulante "GéoBASE Locale" puis cliquer sur "Créer la description locale". Après avoir rempli les quelques cases du formulaires et avoir validé, la description locale est créée dasn le GéoRépertoire. La couche est alors disponible pour les échanges.</p>
<img src="help/images/exemple_georepertoire.png" width="750px" alt="Ajouter une description locale dans GéoRépertoire" title="Ajouter une description locale dans GéoRépertoire" />

<h1>Interface</h1>
<p>L'application Web est divisée en trois pages visibles depuis le menu supérieur :</p>
<ul>
<li>Page de demandes d'importations de couches</li>
<li>Page d'autorisation d'exportations des couches</li>
<li>Page d'aide</li>
</ul>
<p>Ces trois pages sont accessibles depuis le menu situé en haut dès que vous cliquez sur "Import/Export, échanges entre GéoBASEs".</p>
<img src="help/images/gb_echanges_menu.png" alt="Menu d'import/export" title="Menu d'import/export" />

<h1>Faire une demande de couches</h1>
<p>Pour pouvoir récupérer une couche depuis une GéoBASE distante, il vous faut spécifier la couche désirée ainsi que le serveur sur lequel vous désirez la récupérer.</p>
<img src="help/images/gb_echanges_import.png" alt="Liste des imports" title="Liste des imports" />
<p>La page "Demandes d'importation" contient la liste des couches et serveurs que vous désirez importer. La liste des demandes d'autorisation contient le nom de la couche (tel que définit dans le GéoRépertoire), le nom du serveur sur lequel vous désirez récupérer la donnée et la dernière date d'importation de la donnée dans votre GéoBASE. Le dernier champ vous indique si vous désirez ou non archiver la donnée importée dans la GéoBASE. Dans le cas d'un archivage, la donnée présente sur votre GéoBASE est historisée avec un numéro de version et la donnée téléchargée prend la place de l'ancienne donnée archivée. <b>Si vous n'archivez pas la donnée, la donnée téléchargée écrasera sans préavis dans la GéoBASE l'ancienne donnée.</b></p>
<p>Les actions possibles sont les suivantes :</p>
<ul style="font-weight: bold;">
  <li>Ajouter une demande d'import en cliquant sur le lien
"[ Ajouter ]".&nbsp;</li>
  <li>Modifier une demande d'import en cliquant
sur&nbsp;&nbsp;<img style="width: 11px; height: 11px;" alt="" src="images/update.png"></li>
  <li>Supprimer une demande d'import en cliquant sur <img style="width: 16px; height: 16px;" alt="" src="images/delete.png"></li>
</ul>
<p>Pour faire une demande d'importation au serveur, il faut cliquer sur [Ajouter]. Un formulaire permet de choisir le serveur surlequel on désire récupérer une couche. Dès lors, une liste des couches disponibles sur le serveur s'affiche. <b>Attention, seules les couches qui ont une description locale sur GéoRépertoire peuvent être récupérer. </b>Si la couche que vous désirez n'est pas dans la liste, faites la demande à l'adminsitrateur de données locales qui crééra la fiche locale de cette couche. Une fois que vous avez choisi la couche, vous pouvez décider ou non d'archiver cette couche à chaque mise à jour en cochant la case "Archiver ?". Vous pouvez ensuite valider le formulaire à l'aide du bouton adéquat.</p>
<img src="help/images/gb_echanges_import_form.png" alt="Formulaire des imports" title="Formulaire des imports" />
<p>Une fois la demande ajoutée dans la base de données, il faut que l'administrateur de la GéoBASE distante vous autorise à télécharger une couche dans sa GéoBASE. Pour cela, il utilise cette même application GéoMAP-Admin (module échanges entre GéoBASE). Dans la partie "Autorisation d'exportations", il doit ajouter la couche téléchargeable et le serveur autorisé.</p>
<h1>Autoriser le téléchargement d'une couche</h1>
<p>Pour qu'un client puisse télécharger une couche dans votre GéoBASE, il faut spécifier quelle donnée est téléchargeable et par quel site.</p>
<img src="help/images/gb_echanges_export.png" alt="Liste des exports" title="Liste des exports" />
<p>La page "Autorisation d'exportation" contient la liste serveurs qui sont autorisés à télécharger telle ou telle couche. Cette liste contient le nom de la couche qui peut être téléchargée et le nom des serveurs qui peuvent télécharger cette couche. Le symbole "*" pour une couche veut dire que toutes les GéoBASEs sont autorisées à télécharger la couche. Pour spécifier plusieurs GéoBASEs pour une même couche, il faut autant de ligne que de GéoBASEs autorisées.</p>
<p>Les actions possibles sont les suivantes :</p>
<ul style="font-weight: bold;">
  <li>Ajouter une autorisation d'export en cliquant sur le lien
"[ Ajouter ]".&nbsp;</li>
  <li>Modifier une autorisation d'export en cliquant
sur&nbsp;&nbsp;<img style="width: 11px; height: 11px;" alt="" src="images/update.png"></li>
  <li>Supprimer une autorisation d'export en cliquant sur <img style="width: 16px; height: 16px;" alt="" src="images/delete.png"></li>
</ul>
<p>Pour autoriser une ou plusieurs GéoBASEs, il suffit de cliquer sur le lien [Ajouter] puis de remplir le formulaire. Il faut choisir la couche que l'on désire partager puis sélectionner dans la liste la ou le GéoBASEs autorisées à télécharger cette couche. Si l'option "Toutes les GéoBASEs" (*) est sélectionnée dans la liste, toutes les autres sélections ne seront pas prises en compte lors de l'insertion dans la base. Si plusieurs GéoBASEs sont choisies, cela donnera autant de lignes que de GéoBASEs dans la liste des autorisations d'exportations.</p>
<img src="help/images/gb_echanges_export_form.png" alt="Formulaire des exports" title="Formulaire des exports" />

<h1>Messages de retour du script d'importations</h1>
<p>La page des <a href="import_gb.php">demandes d'autorisation</a> présente un tableau dans lequel sont indiquées les couches désirez et depuis quel serveur elles sont téléchargées. Ce tableau présente également des colonnes qui informent sur la situation de la dernière importation : </p>
<ul>
<li>La colonne "Date dernier import" indique la date de la dernière importation de la couche.</li>
<li>La colonne "Résultat dernier import" indique comment s'est déroulé la dernière importation de la couche. Elle peut contenir plusieurs messages :</li>
<ul>
<li>Si le champ est vide, cela indique qu'aucune importation n'a été pour l'instant réalisée par le serveur. Il s'agit d'une demande d'importation que vous venez de réaliser.</li>
<li>"Oki" indique que l'importation de la nuit précédente s'est déroulée correctement.</li>
<li>"Pas de permission" indique que vous n'êtes pas autorisé à récupérer la couche du serveur distant. Il vous faut contacter l'administrateur du serveur distant pour qu'il configure l'autorisation de récupérer sa couche.</li>
<li>"Couche à jour" indique que la couche n'a pas été modifiée entre les deux dernières importations car la couche du serveur distant n'a pas été modifié entre temps. La procédure d'importation s'arrête pour éviter de surcharger le réseau.</li>
<li>"Erreur Serveur" indique qu'une erreur non connue est survenue durant la phase d'importation. Contactez le DIG via l'adresse mail <a href="mailto:assistdig.sg@agriculture.gouv.fr">assistdig.sg@agriculture.gouv.fr</a></li>
</ul>
</ul>

<?php
  html_end();
  }
?>
