<?php
    # Fonctions de présentation diverses pour les pages SIG-SITI
    # (C) MAAPR/SG/SDSI/CERI/DIG 2005

    # La séquence d'appel est la suivante :
    # - html_begin( titre de la fenêtre )
    # - html_bandeau()
    # ---> contenu rédactionnel
    # - html_end()
    #
    # La description des menus, de leur niveau et de leur enchaînement
    # se trouve dans config_menu.php
    
    # Ecriture de l'entête html $titre est le titre de la fenêtre


#************************************************************
function html_begin( $titre="", $javascript ) {
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
  <meta http-equiv="Content-Type" content="text/html;charset=UTF-8" />
  <title>G&eacute;oMAP-Admin : <?php echo $titre?></title>
  <link rel="icon" href="favicon.ico" type="image/x-icon" />
  <link rel="shortcut icon" href="favicon.ico" type="image/x-icon" />
  <meta name="description" content="Les pages de G&eacute;oMAP-Admin" />
  <meta name="Author" content="Ministère de l'Agriculture et de la Pêche" />
  <link rel="stylesheet" href="css/superfish.css" type="text/css" />
  <link rel="stylesheet" href="css/geomap_admin.css" type="text/css" />
  <link rel="stylesheet" href="css/jquery.treeview.css" type="text/css" />
  <script type="text/javascript" src="javascript/jquery/jquery-1.2.6.min.js"></script>
  <script type="text/javascript" src="javascript/jquery/jquery.treeview.js"></script>
  <script type="text/javascript" src="javascript/jquery/jquery.cookie.js"></script>
  <script type="text/javascript" src="javascript/jquery/superfish.js"></script>
  <script type="text/javascript">
    jQuery(function($) {
        $(document).ready(function(){ 
            $('#menu_navigation').superfish( 
                {delay:1000,   
                autoArrows:  true, 
                animation:  {opacity:'show',height:'show'}, 
                speed:'fast',
                dropShadows: true}
            );
        });
    });
    </script>
    <?php
    $tab_javascript=explode(";",$javascript);
    for($i=0;$i<count($tab_javascript);$i++){
        if ($tab_javascript[$i]<>""){
            echo "<script src=\"$tab_javascript[$i]\"  type=\"text/javascript\"></script>\n";
        }
    }
    ?>  
</head>
<body>
<div id="conteneur">
<?php

  
}


# *********************Ecriture du bandeau haut et de son menu...*************
    function html_bandeau( $n_visuel='' ) {
?>

<div id="bandeau">
    <div id="soustitre">Ministère de l'Agriculture et de la Pêche</div>
    <div id="titre1">GéoMAP-Admin</div>
    <div id="titre2">Administration de la GéoBASE</div>
    <div id="logo">
      <img src="images/logo_MAP.png" alt="Logo du MAP" id="logoMap" width="80" height="100" usemap="#Map" />
      <map name="Map" id="Map">
        <area shape="rect" coords="1,1,79,48" href="http://www.premier-ministre.gouv.fr" title="Lien vers le site du Premier Ministre dans une nouvelle fenêtre" alt="Lien vers le site du Premier Ministre dans une nouvelle fenêtre" />
        <area shape="rect" coords="1,47,78,98" href="http://www.agriculture.gouv.fr" title="Lien vers le site du Ministère dans une nouvelle fenêtre" alt="Lien vers le site du Ministère dans une nouvelle fenêtre" />
      </map>
    </div>

</div>
<div id="menu">
    <ul id="menu_navigation" class="sf-menu">
    
    <li><a href="index.php" title="Accueil">Accueil</a>
    <ul>
        <li><a href="accueil_aide.php" title="information">Information</a></li>
    </ul>
    </li>
    <li><a href="import_export.php" title="Configuration de GB_Echange">Import/Export</a>
        <ul>
        <li><a href="import_gb.php" title="Configurer les couches à importer">Demandes d'importations</a></li>
        <li><a href="export_gb.php" title="Configurer les couches à exporter">Autorisation d'exportations</a></li>
        <li><a href="aide_import_export.php" title="Aide de GB_Echange">Aide</a></li>
        </ul>
    </li>
    <li><a href="login.php?logout=" title="Se déconnecter">Déconnexion</a></li>
    </ul>
</div>
<br />
<div id="page">


<?php
}

#*************** Fin de la page*****************
function html_end() {
global $param;

?>
</div>
<div id="footer">GéoMAP-Admin Version <? echo $param['version'] ?></div>
</div>
</body>
</html>
<?php
if ($param['debug']==true){
  //ecritures des varaibles
    echo "<br><br><br><br><br><br><br>";
    print_r($_GET);
    echo "<br><br>";
    print_r($_POST);
    echo "<br />";
    
    //ecriture des requêtes
    global $g_queries_array;
    $t_count = count( $g_queries_array );
  echo $t_count.' total queries executed.<br />';
  echo count( array_unique ( $g_queries_array ) ).' unique queries executed.<br />';
  echo '<table>';
  $t_shown_queries = array();
  for ( $i = 0; $i < $t_count; $i++ ) {
      if ( in_array( $g_queries_array[$i], $t_shown_queries ) ) {
          echo '<tr><td style="color: red">'.($i+1).'</td><td style="color: red">'.htmlspecialchars($g_queries_array[$i]).'</td></tr>\n';
      } else {
          array_push( $t_shown_queries, $g_queries_array[$i] );
          echo '<tr><td>'.($i+1).'</td><td>'.htmlspecialchars($g_queries_array[$i]) . '</td></tr>';
      }
  }
  echo '</table>';
}
?>

<?php
    }
    
# Auteur : Suzanne Loriol
# 30/03/2006
# fonction ecrire_message()
# description : cette fonction permet d'afficher 
# le résultat d'une opération de Mise à jour dans la base Geo_bda

function ecrire_message($message, $href){

global $param;

echo "<form name=\"message\" method=\"GET\">\n";
echo "<hr>\n";
echo "<br><br>\n";
echo "  <table border=box rules=rows align=\"center\">\n";   
echo "    <tr class= \"txtcontenu\">\n";
echo "     <td ></td>\n";
echo "     <td  class=\"tabletexte\" width=\"400\">\n";
echo "        <p align=\"center\">$message.\n";
echo "     </td>\n";
echo "     <td></td>\n";
echo "    </tr>\n";
echo "  </table>\n";
echo "<br>\n";
echo "  <center><a href=\"$href\">[ Continuer ]</a><center>\n";
if ($href != "" && $param['debug']==false){
    $chemin_serveur=$param['chemin_serveur'];
    echo " <meta http-equiv=\"refresh\" content=\"2; URL=$chemin_serveur$href\">\n";
}

echo "</form>";
}

###################################################################################
# Fonction : print_session
# Auteur: Sylvain Perrinel
# Date: 8/11/2005
# Description : Indique la connexion ou non

function print_session(){
    echo '<p style="float:right">Connect&eacute; en tant que : ';
    if (test_session("user")==true){
        $user_session=$_SESSION["user"];
        $user_session=explode(".", $user_session);
        echo ucfirst($user_session[0]);
        echo " ";
        echo ucfirst($user_session[1]);
        }
    else{
        echo "Anonyme";
        }
    echo "</p>";
}
    


#########################################################################
# Fonction : Warning_autorisation
# Auteur : Sylvain Perrinel
# Date : 11/08/2005
# Description : Interdit l'accès à une page

function warning_autorisation(){
    
    echo "<meta http-equiv=\"refresh\" content=\"10;url=index.php\">";
    echo "<h3>Vous n'&ecirc;tes pas autoris&eacute;(e) &agrave; afficher cette page !</h3>";
    echo "<br>";
    echo "<center><a href=".$HTTP_SERVER_VARS["SERVER_NAME"]."index.php>Retour Connexion</a></center>";

echo $HTTP_SERVER_VARS["SCRIPT_URI"];
}

function http_redirect($url) {
    header("Location: $url", true, 302);
}

?>
