<?php

    require_once('core/config.php');

    define ( 'MAINTENANCE_NEW', 0 );
    define ( 'MAINTENANCE_OK', 1 );
    define ( 'MAINTENANCE_CANCELED', 2 );
    define ( 'MAINTENANCE_RENAME_ERROR', 3 );
    define ( 'MAINTENANCE_RESTORE_ERROR', 4 );
    define ( 'MAINTENANCE_UNALIASED', 5);
    
    $g_maintenance_bin = "/home/geomap/maintenance/linda";
    $g_maintenance_table = "geobase_maintenance";
    $g_maintenance_main_script = "maintenance.php";
    $g_maintenance_alias_page = "maintenance_manage_alias.php";
    $g_georep_server = "georepertoire.national.agri";
    $g_local_cougra = "/geobase/REF_EXT/COUGRA.XML";
    
    function gb_rename($maintenance_id, $map) {
        
        global $g_maintenance_table, $g_maintenance_bin;
        $id = $maintenance_id;
        $sql="select * from $g_maintenance_table where id = $id ;";
        $result=db_query($sql);
        $row=db_fetch_array($result);
        
        $t_path = $row['path'];
        $t_name = $row['old_property_value'];
        $t_new_name = $row['new_property_value'];
        
        $map[$t_name] = $t_new_name;
                
        $t_ret_int = -1;
        $name = $t_path . '/' . $t_name;
        $new_name = $t_new_name;
        $t_cmd = "$g_maintenance_bin/gb_rename $name $new_name";
        $t_ret_string = system($t_cmd, $t_ret_int); 
        
        return ($t_ret_int === 0);
    }
    
    // Update COUGRA.XML and send new file to GeoRepertoire
    function update_cougra($map) {
        global $g_local_cougra, $g_georep_server, $g_maintenance_bin;
        //$sed_script = '';
        //foreach ($map as $name => $new_name) {
        //    $sed_script .= "s:$name:$new_name:g;";
        //}
        //$ret = -1;
        //system("sed --in-place='.sed' -e '$sed_script' $g_local_cougra", &$ret);
        //if (!($ret == 0)) {
        //    print "Erreur $ret:" . "sed --in-place='.sed' -e '$sed_script' $g_local_cougra";
        //}
        $fd = popen("$g_maintenance_bin/gb_update_cougra 2&>1 > /dev/null","w");
        foreach ($map as $name => $new_name) {
            fwrite($fd, "$name $new_name\n");
        }
        $ret = pclose($fd);
        if (!($ret == 0)) {
            print "Erreur lors de la mise à jour de COUGRA.XML";
            return $ret;
        }
        return $ret;
    }
    
    // Update Geoweb and GB_Echange
    function update_databases($map) {
        global $g_maintenance_bin;
        $fd1 = popen("$g_maintenance_bin/gb_update_gbexport 2&>1 > /dev/null","w");
        $fd2 = popen("$g_maintenance_bin/gb_update_geoweb 2&>1 > /dev/null","w");
        $fd3 = popen("$g_maintenance_bin/gb_update_geombx 2&>1 > /dev/null","w");
        foreach ($map as $name => $new_name) {
            fwrite($fd1, "$name $new_name\n");
            fwrite($fd2, "$name $new_name\n");
            fwrite($fd3, "$name $new_name\n");
        }
        
        pclose($fd1);
        pclose($fd2);
        pclose($fd3);
    }
    
    function gb_undo_rename($maintenance_id, $map) {
    
        global $g_maintenance_table, $g_maintenance_bin;
        $id = $maintenance_id;
        $sql="select * from $g_maintenance_table where id = $id ;";
        $result=db_query($sql);
        $row=db_fetch_array($result);
        
        $t_path = $row['path'];
        $t_name = $row['old_property_value'];
        $t_new_name = $row['new_property_value'];
        $t_unaliased = ($row['update_status'] == MAINTENANCE_UNALIASED);
        
        if ($t_unaliased) {
        
            $map[$t_new_name] = $t_name;
                      
            $t_ret_int = -1;
            $name = $t_path . '/' . $t_new_name;
            $new_name = $t_name;
            $t_cmd = "$g_maintenance_bin/gb_rename $name $new_name";
            $t_ret_string = system($t_cmd, $t_ret_int);
            return ($t_ret_int === 0);
            
        } else {
        
            $map[$t_new_name] = $t_name;
            $name = $t_path . '/' . $t_name;            
            $t_ret_int = -1;
            $t_cmd = "$g_maintenance_bin/gb_undo_rename $name";
            $t_ret_string = system($t_cmd, $t_ret_int);
            return ($t_ret_int === 0);
            
        } // if ($t_unaliased)
    }
    
    function gb_unalias($maintenance_id) {
    
        global $g_maintenance_table, $g_maintenance_bin;
        $id = $maintenance_id;
        $sql="select * from $g_maintenance_table where id = $id ;";
        $result=db_query($sql);
        $row=db_fetch_array($result);
        
        $t_path = $row['path'];
        $t_name = $row['old_property_value'];
        $t_new_name = $row['new_property_value'];
        
        $t_ret_int = -1;
        $name = $t_path . '/' . $t_name; 
        $t_cmd = "$g_maintenance_bin/gb_unalias $name";
        $t_ret_string = system($t_cmd, $t_ret_int);
        return ($t_ret_int === 0);
    }
    
    function gb_unalias2($alias) {
    
        global $g_maintenance_table, $g_maintenance_bin, $param;
        
        $t_ret_int = -1;
        $name = $param['chemin_geobase'] . '/' . $alias; 
        $t_cmd = "rm $name";
        
        $t_ret_string = system($t_cmd, $t_ret_int);
        return ($t_ret_int === 0);
    }

?>
