<?php 
session_start();
require('core/config.php');
require_once('core/database_api.php');
include_once( "core/html_api.php" );
require_once('core/authentification_api.php');
//verification de la session
$resultat=test_session("user");
html_begin( "Documentation", "" );
html_bandeau();

if (test_session("admin")<>1){
warning_autorisation();
html_end();
}else{
?>
<h1><a name="debut">Documentation G&eacute;oMAP - Admin</a></h1>

<hr>
<p>Ce module permet de gérer le fichier DONNEES.XML indispensable au bon fonctionnement de
l'application G&eacute;oMBX. Ce fichier d&eacute;finit les
associations entre les couches g&eacute;ographiques &nbsp;et
les
bases de donn&eacute;es attributaires.
La pr&eacute;sente version de l'application est la version <b>1.2.2</b>.<br>
Cette version prend en compte les nouvelles <b>bases MySQL et PostgreSQL</b>.<br><br>

<table style="width: 750px; height: 325px;" cellspacing="40">
  <tbody>
    <tr>
      <td valign="top">
      <h2>Sommaire</h2>
      <ul>
        <li><a href="#module">Module DONNEES.XML V1.2.2.</a></li>
        <ul>
           <li><a href="#nouveaute">Les nouveaut&eacute;s</a></li>       
          <li><a href="#bases">Bases de
donn&eacute;es</a></li>
          <ul>
            <li><a href="#zonesaisie">Les zones de saisie</a></li>
          </ul>
          <li><a href="#Couches_tables">Couche g&eacute;ographiques -
Donn&eacute;es attributaires</a></li>
          <ul>

            <li><a href="#geo">Couche g&eacute;ographiques</a></li>

            <li><a href="#donnees">Donn&eacute;es attributaires</a></li>
             <ul>
              <li><a href="#definition">Saisie Modification d&eacute;finition</a></li>
              <li><a href="#postgreSQL">Cas particulier PostgreSQL</a></li>              
             </ul>

          </ul>
          <li><a href="#sauverxml">Sauver DONNEES.XML</a></li>
        </ul>
      </ul>

      </td>

    </tr>

  </tbody>
</table>

<br>

<hr>

<h1 style="text-align: center;"><a name="module"></a>Module
DONNEES.XML V1.2.2.</h1>

Une page pr&eacute;sente un tableau r&eacute;capitulatif des
associations d&eacute;j&agrave; d&eacute;finies ainsi
que le
menu du module DONNEES.XML :<br>

<br>

<img style="width: 500px; height: 190px;" alt="" src="help/images/menudonneesxml.png"><br>
<br>
<p align="right"><a href="#debut"><img alt="" src="help/images/up_layer.png"></a></p>
<hr style="width: 100%; height: 2px;">
<h2><a name="nouveaute"></a>Les nouveaut&eacute;s de la version 1.2.2.</h2>
Les modifications de l'interface concernent essentiellement la prise en compte des bases PostgreSQL :
<ul>
  <li>Page Saisie d'une base : Ajout d'une zone de saisie du type d'encodage. </li>
      <a href="#encodage">(cf. Saisie PostgreSQL)</a> 
  <li>Page Saisie d'une table : Ajout d'une zone de saisie du nom du schéma pour les tables postgreSQL.</li>
      <a href="#postgreSQL">(cf. Cas particulier des tables PostgreSQL.)</a>
</ul>

<h2><a name="bases"></a>Bases de
Donn&eacute;es.</h2>

Un tableau r&eacute;capitulatif des bases d&eacute;finies est
affich&eacute;. Dans la pr&eacute;sente version 1.2.2, les 
bases ACCESS, SYBASE, EXCEL, <b>MySQL et PostgreSQL</b> sont &nbsp;g&eacute;r&eacute;es par
l'application G&eacute;oMBX.<br>

<br>

<img style="width: 500px; height: 189px;" alt="" src="help/images/bases.png"><br>

<br>

Il faut, bien s&ucirc;r d'abord d&eacute;finir les bases avant
d'associer les tables de donn&eacute;es.<br>

Les actions possibles sont les suivantes :<br>

<ul style="font-weight: bold;">

  <li>Ajouter une d&eacute;finition en cliquant sur le lien
"[ Ajouter ]".&nbsp;</li>

  <li>Modifier la d&eacute;finition en cliquant
sur&nbsp;&nbsp;<img style="width: 11px; height: 11px;" alt="" src="images/update.png"></li>

  <li>Supprimer une d&eacute;finition en cliquant sur <img style="width: 16px; height: 16px;" alt="" src="images/delete.png"></li>

</ul>

<h4>Saisie d'une d&eacute;finition de base :</h4>

Les Bases g&eacute;r&eacute;es dans cette version sont ACCESS, SYBASE, EXCEL, <b>MySQL et PostgreSQL</b>.

<h4>Saisie bases ACCESS et EXCEL : </h4>

Apr&egrave;s avoir choisi le type de base (ACCESS ou EXCEL dans ce cas) un bouton "Parcourir" est affich&eacute; qui permet de chercher la base sur le poste. L'emplacement est alors automatiquement rempli.<br>

<br>

<img style="width: 500px; height: 192px;" alt="" src="help/images/ajoutbase_access.png"><br>

<br>

<h4>Saisie bases SYBASE et MySQL : </h4>

Le nom de la base est saisi dans la zone de texte ad&eacute;quate.<br>

<img style="width: 500px; height: 192px;" alt="" src="help/images/ajoutbase.png"><br>

<h4><a name="encodage">PostgreSQL : Saisie type d'encodage de la base</a></h4>
  <p>
      Dans le cas de PostgreSQL, deux drivers ODBC peuvent &ecirc;tre utilis&eacute;s. Il faut donc sp&eacute;cifier le type d'encodage de la base : soit ANSI ou UTF-8 (Unicode)
      Une zone suppl&eacute;mentaire de saisie apparait apr&egrave;s le choix du type de base
  </p>
 <img style="width: 500px; height: 120px;" alt="" src="help/images/encodagePSQL.png"><br> 
  

<h4><a name="zonesaisie">Les zones de saisie</a></h4>
<ul>
  <li><b>Type de base :</b> une liste d&eacute;roulante permet de
choisir le type. Les bases disponibles dans cette version sont les suivantes :</li>
      <ul>
        <li>ACCESS</li>
        <li>EXCEL</li>
        <li>SYBASE</li>
        <li>MySQL</li>
        <li>PosgreSQL</li>
      </ul>
<br>  
  <li><b>Nom de la base  &nbsp; :</b> Nom du fichier ou de la base suivant le type de base</li>
<br>
  <li><b>Encodage :</b> Une liste d&eacute;roulante de 2 choix ANSI ou UTF-8 apparait seulement pour les <b>bases PostgreSQL.</b></li>
<br>
  <li><b>Emplacement :</b></li>
  <ul>
    <li>Base SYBASE : C'est le nom du serveur d&eacute;fini
dans le fichier SQL.INI . par ex : [DS_LINDA_PRD].</li>
    <li>Autres bases : C'est le chemin complet, y compris la
lettre
correspondant au lecteur r&eacute;seau. par exemple
"R:\BaseAccess\". On peut aussi saisir le chemin UNC (Ex : "\\Linda\base de donnees\". Dans le cas du choix d'un chemin complet, la lettre d&eacute;signant le lecteur doit &ecirc;tre donc la<span style="font-weight: bold;"> m&ecirc;me</span>
pour tous
les postes utilisateurs</li>
  </ul>
<br>
 <li><b>Utilisateur et mot de passe :</b> <br>
        Les diff&eacute;rentes possibilit&eacute;s sont les suivantes :</li>
    <ul>
        <li>On ne saisit rien : dans ce cas, il n'y a pas de login à remplir lors de la connexion &agrave; la base</li>
        <li>"?" : Le nom de l'utilisateur sera demand&eacute; lors de la connexion &agrave; la base. Dans ce cas, le mot de passe sera aussi demand&eacute;. Si seul le mot de passe contient "?", alors c'est ce dernier qui sera demand&eacute;.</li>
        <li>Saisie d'un nom d'utilisateur et/ou d'un mot de passe : On peut saisir les &eacute;l&eacute;ments du login. Lors de la connexion &agrave; la base, rien ne sera demand&eacute; &agrave; l'utilisateur.</li>
    </ul>
</ul>
<p align="right"><a href="#debut"><img alt="" src="help/images/up_layer.png"></a></p>
<hr style="width: 100%; height: 2px;">
<h2><a name="Couches_tables"></a><span style="font-weight: bold;"></span>Couches g&eacute;ographiques - donn&eacute;es attributaires</h2>
<h3><a name="geo"></a>Couches g&eacute;ographiques</h3>
<br>
De m&ecirc;me que pour la d&eacute;fintion des bases un tableau
r&eacute;capitulatif est affich&eacute;. Il pr&eacute;sente pour chaque
couche les tables de donn&eacute;es attributaires d&eacute;finies.<br>
<br>
<img style="width: 500px; height: 217px;" alt="" src="help/images/listecouches.png"><br>
<br>
Les actions possibles sont les suivantes :<br>
<ul style="font-weight: bold;">
  <li>Ajouter une d&eacute;finition de couche g&eacute;ographique en cliquant sur le lien
"[ Ajouter ]".&nbsp;</li>
  <li>Modifier la d&eacute;finition en cliquant
sur&nbsp;&nbsp;<img style="width: 11px; height: 11px;" alt="" src="images/update.png"></li>
  <li>Supprimer une d&eacute;finition en cliquant sur <img style="width: 16px; height: 16px;" alt="" src="images/delete.png"></li>
  <li>D&eacute;finir les tables de donn&eacute;es associ&eacute;es en cliquant sur <img style="width: 16px; height: 20px;" alt="" src="images/edit_bda.png"></li>
</ul>
<h4>Saisie d'une d&eacute;finition de couche g&eacute;ographique.</h4>
Lors de la saisie d'une nouvelle d&eacute;finition, l'arborescence de
la GeoBASE accessible est affich&eacute;e. Seules, les couches de la
base de&nbsp; CONSULTATION et &nbsp;de la base REF_EXT sont
accessibles. <br>
<br>
<img style="width: 500px; height: 234px;" alt="" src="help/images/explorateur.png"><br>
<br>
Apr&egrave;s s&eacute;lection&nbsp; de la&nbsp; couche,&nbsp; une page
pr&eacute;sentant les diff&eacute;rents champs de la couche
g&eacute;ographique permet de choisir le champ identifiant qui servira
de jointure avec les tables de donn&eacute;es. Il est possible de
choisir plusieurs identifiants, mais<span style="font-weight: bold;"> attention</span>,
il faut que le nombre d'identifiants soit le m&ecirc;me pour la couche
g&eacute;ographique et la table de donn&eacute;es associ&eacute;e.
L'ordre de saisie doit &ecirc;tre aussi la m&ecirc;me, sinon la
jointure lors de l'ex&eacute;cution &eacute;chouera.<br>
<br>
<img style="width: 500px; height: 231px;" alt="" src="help/images/champgeo.png"><br>
<br>
<h4>Modification d'une d&eacute;finition de couche g&eacute;ographique.</h4>
En cliquant sur <img style="width: 11px; height: 11px;" alt="" src="images/update.png">
, l'utilisateur peut uniquement modifier le ou les champs identifiants
saisis dans la m&ecirc;me page que pr&eacute;c&eacute;demment.<br>
<br>
<p align="right"><a href="#debut"><img alt="" src="help/images/up_layer.png"></a></p>
<hr style="width: 100%; height: 2px;">
<h3><a name="donnees"></a>Donn&eacute;es attributaires</h3>
Dans la liste des couches, on acc&eacute;de &agrave; la liste des
tables de donn&eacute;es attributaires d&eacute;finies pour une couche,
en cliquant sur <img style="width: 16px; height: 20px;" alt="" src="images/edit_bda.png"><br>
La page suivante &nbsp;est affich&eacute;e :<br>
<br>
<img style="width: 500px; height: 180px;" alt="" src="help/images/listetables.png"><br>
<br>
Les actions possibles sont :<br>
<ul style="font-weight: bold;">
  <li>Ajouter une d&eacute;finition de couche g&eacute;ographique en cliquant sur le lien
"[ Ajouter ]".&nbsp;</li>
  <li>Modifier la d&eacute;finition en cliquant
sur&nbsp;&nbsp;<img style="width: 11px; height: 11px;" alt="" src="images/update.png"></li>
  <li>Supprimer une d&eacute;finition en cliquant sur <img style="width: 16px; height: 16px;" alt="" src="images/delete.png"></li>
</ul>
<h4><a name="definition"></a>Saisie d'une nouvelle d&eacute;finition.</h4>
Les diff&eacute;rentes zones de saisie sont pr&eacute;sent&eacute;es dans la page suivante :<br>
<br>
<img style="width: 500px; height: 192px;" alt="" src="help/images/ajout%20table.png"><br>
<br>
Les champs &agrave; saisir sont donc :<br>
<ul>
  <li>la base : le choix se fait dans la liste d&eacute;roulante qui
pr&eacute;sente les bases d&eacute;finies dans "bases de
donn&eacute;es".</li>
  <li>le nom de la table ou le nom de la feuille Excel</li>
  <li>le champ identifiant (cf saisie d&eacute;finition couche g&eacute;o)</li>
</ul>
<h4>Modification d'une d&eacute;finition.</h4>
La m&ecirc;me page que pr&eacute;c&eacute;demment est
affich&eacute;e.<br>
Les champs modifiables sont les suivants :<br>
<ul>
  <li>le nom de la base d'appartenance de la table.</li>
  <li>Le nom de la table ou le nom de la feuille Excel.</li>
  <li>Le nom du champ identifiant.</li>
  <li>la description.</li>
</ul>
<h4><a name="postgreSQL"></a>Cas particulier des tables PostgreSQL</h4>
<ul>
  <li>Une zone suppl&eacute;mentaire doit &ecirc;tre saisie : <b>le sch&eacute;ma</b> qui est un sous-ensemble de la base de donn&eacute;es dans lequel sont cr&eacute;&eacute;es les tables. Si le sch&eacute;ma n'est pas sp&eacute;cifi&eacute;, une erreur se produira lors de l'ex&eacute;cution de GeoMBX.   </li>
</ul>
<p><img style="width: 500px; height: 128px;" alt="" src="help/images/schema.png"></p>
<p align="right"><a href="#debut"><img alt="" src="help/images/up_layer.png"></a></p>
<hr style="width: 100%; height: 2px;">
&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;
&nbsp; <br>
<h3><a name="sauverxml"></a>SAUVER DONNEES.XML</h3>
&nbsp; &nbsp;&nbsp;&nbsp;
&nbsp;&nbsp;&nbsp; <span style="font-weight: bold;">Chaque fois que des modifications ont &eacute;t&eacute; saisies, il faut enregistrer le fichier XML</span>
: En effet, au cours de l'utilisation de l'application, les
modifications sont enregistr&eacute;es dans une base de donn&eacute;es
MySQL. L'enregistrement recr&eacute;e compl&egrave;tement le fichier
DONNEES.XML.&nbsp; <br>
L'application signale si le fichier a bien &eacute;t&eacute; enregistr&eacute; et en affiche le contenu. &nbsp;
</div>

<ul>

</ul>
<?
  html_end();
  }
?>
