<?php
session_start();
require_once('core/config.php');
require_once('core/database_api.php'); 
require_once ('core/html_api.php');
require_once('core/authentification_api.php');

//verification de la session
$resultat=test_session("user");
html_begin("Script Export", '');
html_bandeau();

if (test_session("admin")<>1){
    warning_autorisation();
    html_end();
}else{
    switch($_GET['action']){
        case 'insert_export':
            $array_serveur=$_POST['lst_serveur'];
            ################# Partie vérification des données du formulaire ##################
            //on vérifie que l'utilisateur a bien sélectionné des GéoBASEs
            if (count($array_serveur)>0){
                //varaible déterminant si la requête est réalisé (true => une plusieurs GéoBASEs, false => Aucune, * => Toutes les GéoBASEs
                $req='false';
                //Tableau contenant la liste des serveurs à ajouter pour cette couche (* est toujours tout seul)
                $array_req=array();
                //Incrément pour le nb de serveur à ajouter
                $i=0;
                foreach($array_serveur as $serveur){
                    $nom=explode('|', $serveur);
                    $ip_serveur=$nom[0];
                    $nom_serveur=$nom[1];
                    //si la personne a coché toutes les GéoBASEs, on se limite à cela et on ne regarde pas le reste
                    if ($serveur=='*'){
                            $req='*';
                            $array_req=array();
                            $array_req[0]='*';
                    }elseif($req<>'*'){
                        //pour une ou plusieurs GéoBASEs, on vérifie que cette dernière n'est pas déjà autorisé pour cette couche (si * a été sélectionné, on ne passe jamais ici
                        $result_nb=db_query('SELECT * FROM '.$g_schema_gb.'.gb_export WHERE nom_couche=\''.$_POST['lst_layer_local'].'\' and (serveur=\''.$ip_serveur.'\' or serveur=\'*\');');
                        if (db_num_rows($result_nb)<1){
                            $req='true';
                            $array_req[$i]=$serveur;
                            $i++;
                        }
                    }
                }
            }else{
                ecrire_message("Opération annulée. Il faut sélectionner au moins une GéoBASE.", "export_gb.php");
            }
            
            ####################### Partie SQL #######################
            if ($req=='false'){
                //rien à faire
                ecrire_message("Aucune action réalisée. La ou les GéoBASEs sélectionnées sont déjà autorisées pour cette couche.", "export_gb.php");
            }elseif($req=='*'){
                //Dans le cas de tous les serveurs, on supprime les lignes affectées à cette couche puis on ajoute la ligne pour tous les serveurs
                $sql='BEGIN;DELETE FROM  '.$g_schema_gb.'.gb_export WHERE nom_couche=\''.$_POST['lst_layer_local'].'\';INSERT INTO '.$g_schema_gb.'.gb_export (nom_couche, serveur, nom_serveur)VALUES (\''.$_POST['lst_layer_local'].'\', \'*\', \'Toutes\');COMMIT;';
                $result=db_query($sql);
                if (!$result){
                    ecrire_message('Erreur insert dans '.$g_schema_gb.'.gb_export ' .db_error(),"export_gb.php" );   
                }else{
                    ecrire_message("Op&eacute;ration r&eacute;ussie.", "export_gb.php");
                }
            }elseif($req=='true'){
                //On ajoute les serveurs un par un
                if (count($array_req)>0){
                    $sql='BEGIN;';
                    foreach($array_req as $serveur){
                        $nom=explode('|', $serveur);
                        $ip_serveur=$nom[0];
                        $nom_serveur=$nom[1];
                        $sql.='INSERT INTO '.$g_schema_gb.'.gb_export (nom_couche, serveur, nom_serveur)VALUES (\''.$_POST['lst_layer_local'].'\', \''.$ip_serveur.'\', \''.$nom_serveur.'\');';
                    }
                    $sql.='COMMIT;';
                    $result=db_query($sql);
                    if (!$result){
                        ecrire_message('Erreur insert dans '.$g_schema_gb.'.gb_export ' .db_error(),"export_gb.php" );   
                    }else{
                        ecrire_message("Op&eacute;ration r&eacute;ussie.", "export_gb.php");
                    }
                }else{
                    ecrire_message("Aucune action réalisée. La ou les GéoBASEs sélectionnées sont déjà autorisées pour cette couche.", "export_gb.php");
                }
            }else{
                ecrire_message("Aucune action réalisée. La ou les GéoBASEs sélectionnées sont déjà autorisées pour cette couche.", "export_gb.php");
            }
            
        break;
        
        case 'update_export':
            $serveur=$_POST['lst_serveur'];
            $nom=explode('|', $serveur);
            $serveur=$nom[0];
            $nom_serveur=$nom[1];
            $nom_couche=$_POST['nom_couche'];
            if ($serveur=='*'){
                $sql='BEGIN;DELETE FROM  '.$g_schema_gb.'.gb_export WHERE nom_couche=\''.$nom_couche.'\';INSERT INTO '.$g_schema_gb.'.gb_export (nom_couche, serveur, nom_serveur)VALUES (\''.$nom_couche.'\', \'*\', \'Toutes\');COMMIT;';
                $result=db_query($sql);
                if (!$result){
                    ecrire_message('Erreur insert dans '.$g_schema_gb.'.gb_export ' .db_error(),"export_gb.php" );   
                }else{
                    ecrire_message("Op&eacute;ration r&eacute;ussie.", "export_gb.php");
                }
            }else{
                $result_nb=db_query('SELECT * FROM '.$g_schema_gb.'.gb_export WHERE nom_couche=\''.$nom_couche.'\' and (serveur=\''.$serveur.'\' or serveur=\'*\');');
                if (db_num_rows($result_nb)<1){
                    $result=db_query('UPDATE '.$g_schema_gb.'.gb_export set serveur=\''.$serveur.'\', nom_serveur=\''.$nom_serveur.'\' WHERE id_export='.$_POST['id_export'].';');
                    if (!$result){
                        ecrire_message('Erreur update dans '.$g_schema_gb.'.gb_export ' .db_error(),"export_gb.php" );   
                    }else{
                        ecrire_message("Op&eacute;ration r&eacute;ussie.", "export_gb.php");
                    }
                }else{
                    ecrire_message("Aucune action réalisée. La ou les GéoBASEs sélectionnées sont déjà autorisées pour cette couche.", "export_gb.php");
                }
            }
        break;
        
        case 'delete_export':
            $result=db_query('DELETE FROM '.$g_schema_gb.'.gb_export WHERE id_export=\''.$_GET['id_export'].'\';');
            if (!$result){
                ecrire_message('Erreur delete dans '.$g_schema_gb.'.gb_export ' .db_error(),"export_gb.php" );   
            }else{
                ecrire_message("Op&eacute;ration r&eacute;ussie.", "export_gb.php");
            }
        break;
        
    }
}
// deconnexion 
db_close();                                                                             
html_end(); 
?>
